Bug 147342 - CAN-2005-0202 mailman flaw
Summary: CAN-2005-0202 mailman flaw
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mailman (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: John Dennis
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-07 15:08 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-10 15:05:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:136 high SHIPPED_LIVE Important: mailman security update 2005-02-10 05:00:00 UTC

Description Mark J. Cox 2005-02-07 15:08:35 UTC
A flaw in the true_path function of Mailman was discovered. A remote attacker
could make use of this flaw with a carefully crafted URL and gain access to
files such a configuration files or list archives that should otherwise be
protected.

Administrators can see if attempts to use this flaw has been made by exmaining
their web server access logs for requests containing ".....///"

Affects: RHEL2.1
Affects: RHEL3

Comment 1 Mark J. Cox 2005-02-08 15:26:49 UTC
Note that Apache 2.0 strips multiple slash characters in the
PATH_INFO; therefore this issue is not exploitable when Mailman is
used on an Apache 2.0 server.

Comment 2 Mark J. Cox 2005-02-09 18:33:39 UTC
Now public,removing emarbgo
http://lists.netsys.com/pipermail/full-disclosure/2005-February/031562.html
packages in QA

Comment 3 Josh Bressers 2005-02-10 15:05:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-136.html



Note You need to log in before you can comment on or make changes to this bug.